udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
cdrom_capabilities Struct Reference

`#include <ide-pc.h>`

Collaboration diagram for cdrom_capabilities:

## Public Attributes
u_char | p_code: 6
u_char | p_res: 1
u_char | parsave: 1
u_char | p_len
u_char | cd_r_read: 1
u_char | cd_rw_read: 1
u_char | method2: 1
u_char | dvd_rom_read: 1
u_char | dvd_r_read: 1
u_char | dvd_ram_read: 1
u_char | res_2_67: 2
u_char | cd_r_write: 1
u_char | cd_rw_write: 1
u_char | test_write: 1
u_char | res_3_3: 1
u_char | dvd_r_write: 1
u_char | dvd_ram_write: 1
u_char | res_3_67: 2
u_char | audio_play: 1
u_char | composite: 1
u_char | digital_port_2: 1
u_char | digital_port_1: 1
u_char | mode_2_form_1: 1
u_char | mode_2_form_2: 1
u_char | multi_session: 1
u_char | res_4: 1
u_char | cd_da_supported: 1
u_char | cd_da_accurate: 1
u_char | rw_supported: 1
u_char | rw_deint_corr: 1
u_char | c2_pointers: 1
u_char | ISRC: 1
u_char | UPC: 1
u_char | read_bar_code: 1
u_char | lock: 1
u_char | lock_state: 1
u_char | prevent_jumper: 1
u_char | eject: 1
u_char | res_6_4: 1
u_char | loading_type: 3
u_char | sep_chan_vol: 1
u_char | sep_chan_mute: 1
u_char | disk_present_rep: 1
u_char | sw_slot_sel: 1
u_char | res_7: 4
u_short | max_read_speed
u_short | num_vol_levels
u_short | buffer_size
u_short | cur_read_speed
u_char | res_16
u_char | res_17_0: 1
u_char | BCK: 1
u_char | RCK: 1
u_char | LSBF: 1
u_char | length: 2
u_char | res_17: 2
u_short | max_write_speed
u_short | cur_write_speed

## Detailed Description

Definition at line 232 of file ide-pc.h.

## Member Data Documentation

u_char cdrom_capabilities::audio_play

Definition at line 255 of file ide-pc.h.

u_char cdrom_capabilities::BCK

Definition at line 296 of file ide-pc.h.

u_short cdrom_capabilities::buffer_size

Definition at line 290 of file ide-pc.h.

u_char cdrom_capabilities::c2_pointers

Definition at line 268 of file ide-pc.h.

u_char cdrom_capabilities::cd_da_accurate

Definition at line 265 of file ide-pc.h.

u_char cdrom_capabilities::cd_da_supported

Definition at line 264 of file ide-pc.h.

u_char cdrom_capabilities::cd_r_read

Definition at line 239 of file ide-pc.h.

u_char cdrom_capabilities::cd_r_write

Definition at line 247 of file ide-pc.h.

u_char cdrom_capabilities::cd_rw_read

Definition at line 240 of file ide-pc.h.

u_char cdrom_capabilities::cd_rw_write

Definition at line 248 of file ide-pc.h.

u_char cdrom_capabilities::composite

Definition at line 256 of file ide-pc.h.

u_short cdrom_capabilities::cur_read_speed

Definition at line 291 of file ide-pc.h.

u_short cdrom_capabilities::cur_write_speed

Definition at line 303 of file ide-pc.h.

u_char cdrom_capabilities::digital_port_1

Definition at line 258 of file ide-pc.h.

u_char cdrom_capabilities::digital_port_2

Definition at line 257 of file ide-pc.h.

u_char cdrom_capabilities::disk_present_rep

Definition at line 284 of file ide-pc.h.

u_char cdrom_capabilities::dvd_r_read

Definition at line 243 of file ide-pc.h.

u_char cdrom_capabilities::dvd_r_write

Definition at line 251 of file ide-pc.h.

u_char cdrom_capabilities::dvd_ram_read

Definition at line 244 of file ide-pc.h.

u_char cdrom_capabilities::dvd_ram_write

Definition at line 252 of file ide-pc.h.

u_char cdrom_capabilities::dvd_rom_read

Definition at line 242 of file ide-pc.h.

u_char cdrom_capabilities::eject

Definition at line 276 of file ide-pc.h.

u_char cdrom_capabilities::ISRC

Definition at line 269 of file ide-pc.h.

u_char cdrom_capabilities::length

Definition at line 299 of file ide-pc.h.

u_char cdrom_capabilities::loading_type

Definition at line 278 of file ide-pc.h.

u_char cdrom_capabilities::lock

Definition at line 273 of file ide-pc.h.

u_char cdrom_capabilities::lock_state

Definition at line 274 of file ide-pc.h.

u_char cdrom_capabilities::LSBF

Definition at line 298 of file ide-pc.h.

u_short cdrom_capabilities::max_read_speed

Definition at line 288 of file ide-pc.h.

u_short cdrom_capabilities::max_write_speed

Definition at line 302 of file ide-pc.h.

u_char cdrom_capabilities::method2

Definition at line 241 of file ide-pc.h.

u_char cdrom_capabilities::mode_2_form_1

Definition at line 259 of file ide-pc.h.

u_char cdrom_capabilities::mode_2_form_2

Definition at line 260 of file ide-pc.h.

u_char cdrom_capabilities::multi_session

Definition at line 261 of file ide-pc.h.

u_short cdrom_capabilities::num_vol_levels

Definition at line 289 of file ide-pc.h.

u_char cdrom_capabilities::p_code

Definition at line 233 of file ide-pc.h.

u_char cdrom_capabilities::p_len

Definition at line 237 of file ide-pc.h.

u_char cdrom_capabilities::p_res

Definition at line 234 of file ide-pc.h.

u_char cdrom_capabilities::parsave

Definition at line 235 of file ide-pc.h.

u_char cdrom_capabilities::prevent_jumper

Definition at line 275 of file ide-pc.h.

u_char cdrom_capabilities::RCK

Definition at line 297 of file ide-pc.h.

u_char cdrom_capabilities::read_bar_code

Definition at line 271 of file ide-pc.h.

u_char cdrom_capabilities::res_16

Definition at line 293 of file ide-pc.h.

u_char cdrom_capabilities::res_17

Definition at line 300 of file ide-pc.h.

u_char cdrom_capabilities::res_17_0

Definition at line 295 of file ide-pc.h.

u_char cdrom_capabilities::res_2_67

Definition at line 245 of file ide-pc.h.

u_char cdrom_capabilities::res_3_3

Definition at line 250 of file ide-pc.h.

u_char cdrom_capabilities::res_3_67

Definition at line 253 of file ide-pc.h.

u_char cdrom_capabilities::res_4

Definition at line 262 of file ide-pc.h.

u_char cdrom_capabilities::res_6_4

Definition at line 277 of file ide-pc.h.

u_char cdrom_capabilities::res_7

Definition at line 286 of file ide-pc.h.

u_char cdrom_capabilities::rw_deint_corr

Definition at line 267 of file ide-pc.h.

u_char cdrom_capabilities::rw_supported

Definition at line 266 of file ide-pc.h.

u_char cdrom_capabilities::sep_chan_mute

Definition at line 283 of file ide-pc.h.

u_char cdrom_capabilities::sep_chan_vol

Definition at line 282 of file ide-pc.h.

u_char cdrom_capabilities::sw_slot_sel

Definition at line 285 of file ide-pc.h.

u_char cdrom_capabilities::test_write

Definition at line 249 of file ide-pc.h.

u_char cdrom_capabilities::UPC

Definition at line 270 of file ide-pc.h.

The documentation for this struct was generated from the following file:

- wrudf/ide-pc.h